# Example 2.18 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################

windows(width=5,height=5)
par(mai=c(0.6,0.6,0.1,0.1),mgp=c(2,0.7,0))

plot(1,1,type="n",xlab="X",ylab="Y",xlim=c(0,22),ylim=c(0,110))

x<-seq(0,20,0.1)
lines(x,100*dnorm(x,mean=10,sd=3))
abline(2,5)

for (loc in c(6,11,16)){
     y<-seq(2+5*loc-3*sqrt(2*loc),2+5*loc+3*sqrt(2*loc),0.1)
     lines(loc+10*dnorm(y,mean=2+5*loc,sd=sqrt(2*loc)),y,lty="dashed")	
     lines(rep(loc,length(y)),y)	
     }

y<-seq(0,110,1)
f<-rep(0,length(y))
for (i in 1:length(y)){
     f[i]<-integrate(function(x) dnorm(x,10,3)*dnorm(y[i],2+5*x,sqrt(2*x)),0,20)$value
     }

lines(60*f,y)
#lines(dnorm(y,mean=2+5*10,sd=sqrt(20+25*3^2)))	
text(19.8,80,expression(E(Y*"|"*X)==2+5*X),cex=0.9)
text(19.8,75,expression(var(Y*"|"*X)==2*X),cex=0.9)
lines(c(0,10,10),c(52,52,0))
text(12,4,expression(E(X)==10),cex=0.9)
text(12.1,-1,expression(var(X)==3^2),cex=0.9)

