# Example 2.23 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################
windows(width=7,height=7)
par(mfrow=c(2,2),mai=c(0.6,0.5,0.3,0.1),mgp=c(2,0.7,0))

d<-c(5,10,13,17,24)
p<-c(0,0.25,0.5,0.75,1)
a<-(p[-1]-p[-5])/(d[-1]-d[-5])
b<-p[-5]-a*d[-5]

plot(c(0,d,30),
     c(0,p,1),
     type="l",
     ylab="Cumulative density",
     xlab="Diameter, cm")
plot(c(0,rep(d,each=2),30),
     c(0,0,rep(a,each=2),0,0),
     type="l",
     ylab="Density",
     xlab="Diameter, cm")

set.seed(23456)
d<-c(5,10,13,17,24)
p<-c(0,0.25,0.5,0.75,1)
plot(c(0,p,1),c(0,d,30),type="l",ylab="Quantile function",xlab="Probability")

yvec<-approx(x=p,y=d,xout=runif(1000,0,1))$y

hist(approx(x=p,y=d,xout=runif(10000,0,1))$y,breaks=5:24,freq=FALSE,ylim=c(0,0.09),xlim=c(5,25),xlab="Diameter, cm",
		ylab="Density",main="n=10000")
