# Example 2.24 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################

windows(width=7,height=3)
par(mfcol=c(1,2),mai=c(0.6,0.6,0.1,0.1),mgp=c(2,0.7,0),cex=0.9)

alpha<-10
beta<-20
mup<-alpha/(alpha+beta)

p<-seq(0,1,0.01)
plot(p,dbeta(p,10,20),type="l",xlab="p",ylab="Density")
legend("topright",legend=c("Beta(10,20)"),col=c("black"),lwd=c(1))

n<-30
x<-seq(0,30,1)
plot(x+0.1,db<-dbinom(x,n,mup),xlab="x",ylab="Density",type="h",ylim=c(0,0.20))
points(x-0.1,dbb<-choose(n,x)*beta(alpha+x,beta+n-x)/beta(alpha,beta),col=gray(0.5),type="h")
legend("topright",legend=c("Binomial(30,1/3)","Beta-Binomial(30,10,20)"),
                           col=c("black",gray(0.5)),lwd=c(1,1))


