# Example 2.25 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################

windows(width=7,height=7)
par(mfrow=c(2,2),mai=c(0.6,0.5,0.1,0.1),mgp=c(2,0.7,0))

lambda1<-1/1.5 # The first component penetrates 1.5 meters on average
lambda2<-1/0.5 # The second component penetrates 0.5 meters on average
set.seed(12345)
x1<-rexp(1000,lambda1)
x2<-rexp(1000,lambda2)

hist(x1,freq=FALSE,ylim=c(0,lambda1),xlab=expression(x[1]),main="",
     breaks=seq(0,max(x1)+0.5,0.5))
x0<-seq(0,10,0.01)
lines(x0,dexp(x0,lambda1))

hist(x2,freq=FALSE,ylim=c(0,lambda2),xlab=expression(x[2]),main="",
     breaks=seq(0,max(x2)+0.5,0.5))
x0<-seq(0,6,0.01)
lines(x0,dexp(x0,lambda2))

hist(x1+x2,freq=FALSE,ylim=c(0,0.40),xlab=expression(x[1]+x[2]),main="",
     breaks=seq(0,max(x1+x2)+0.5,0.5))
lines(x0,lambda1*lambda2/(lambda1-lambda2)*(exp(-lambda2*x0)-exp(-lambda1*x0)))