# Example 2.3 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################

install.packages("plotrix")
library(plotrix)
windows(width=5,height=5)
par(mai=c(0.6,0.6,0.1,0.1),mgp=c(2,0.7,0))

# The effect of parameters in the normal distribution
x<-seq(-25,25,0.1)
plot(x,dnorm(x,0,5),type="l",lty="solid")   #mu=0, sigma=5
lines(x,dnorm(x,10,5),lty="dashed")         #mu=10, sigma=5
lines(x,dnorm(x,0,8),lty="dotdash",lwd=2)   #mu=10, sigma=8

# pnorm
a<-pnorm(11,10,5)
a
b<-pnorm(8,10,5)
b
a-b

# Normal distribution: parameters are functions
windows(width=7,height=7)
par(mfrow=c(2,2),mai=c(0.6,0.5,0.1,0.1),mgp=c(2,0.7,0))

set.seed(12345)
x<-rnorm(50,0,5)
hist(x,xlim=c(-15,15),ylim=c(0,20),main=NA)
hist(x,freq=FALSE,xlim=c(-15,15),ylim=c(0,0.08),main=NA)
norm05<-function(x) dnorm(x,0,5)
curve(norm05,-15,15,add=TRUE)

Age<-c( 1, 4, 5,11,16,18,19,20,22,23,23,24,26,27,27,28,29,29,30,30,31,32,33,46,48,
	       50,51,51,53,54,55,61,62,62,62,64,65,67,68,69,76,77,81,81,83,84,86,91,92,99)
mu=0.5*Age
sigma=2+0.1*Age
Diameter1<-rnorm(Age,mu,2)
plot(Age,Diameter1)
ablineclip(0,0.5,x1=min(Age),x2=max(Age))

Diameter2<-rnorm(Age,mu,sigma)
plot(Age,Diameter2)
ablineclip(0,0.5,x1=min(Age),x2=max(Age))
