# Example 2.3/ Figure 2.1 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################

windows(width=5,height=7)
par(mfrow=c(4,2),mai=c(0.4,0.5,0.3,0.1),mgp=c(1.7,0.7,0))

# Standard normal cdf and density
curve(pnorm,-3,3,xlab="x",ylab="F(x)",main="Standard normal cdf")
curve(dnorm,-3,3,xlab="x",ylab="f(x)",main="Standard normal pdf")

# Poisson(7) cdf and pmf
z<-seq(0,15,1)
Fz<-ppois(z,7)
plot(stepfun(z,c(0,Fz)),
		xlab="z",
		ylab="F(z)",
		verticals=FALSE,
		pch=16,
		main="Poisson(7) cdf",
		xlim=c(0,20))

fz<-dpois(z,7)
plot(z,fz,xlim=c(0,15),xlab="z",ylab="f(z)",
     type="h",lwd=3,main="Poisson(7) pmf")

# Bernoulli(0.2) cdf and pmf
y<-c(0,1)
Fy<-c(0,0.2,1.0)
plot(stepfun(y,Fy),xlab="y",ylab="F(y)",verticals=FALSE,
     pch=16,main="Bernoulli(0.2) cdf")

fy<-c(0.2,0.8)
plot(y,fy,xlab="y",ylab="f(y)",type="h",ylim=c(0,1),xlim=c(-1,2),
     lwd=2,main="Bernoulli(0.2) pmf")

# Weibull cdf and pdf
d<-seq(0,40,0.1)
Fd<-pweibull(d,2,15)
plot(d,Fd,type="l",xlab="d",ylab="F(d)",main="Weibull(2,15) cdf")

fd<-dweibull(d,2,15)
plot(d,fd,type="l",xlab="d",ylab="f(d)",main="Weibull(2,15) pdf")

